Subject: Re: [PATCH 0/13] dropping support for non-standard object types

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 May 2025 09:36:51 -0700

Jeff King <[email-masked]> writes:

> While fixing some bugs last month in c39e5cbaa5 (Merge branch
> 'jk/zlib-inflate-fixes', 2025-04-15), I noted that objects with
> non-standard types are not really usable. You can get their size and
> type, but nothing else, not even their contents. And you can't transfer
> them to other repositories, as packfiles have no way to represent them.
>
> We've had that code since 2015, but beyond using it in a few tests,
> it's never gone anywhere. So I'd like to consider the whole direction a
> failed experiment and rip it out, which simplifies some of the core
> object code.
>
> IMHO this doesn't need to follow the breaking-change flow and wait until
> Git 3.0, because what's there is not really usable in any useful way.
> But others may disagree.

FWIW, they weren't for exprimenting to see how feasible adding more
types to the object system at all.  Rather, they were primarily to
help testing how the production code reacted to unknown object type.

So I am all for removal of the support.  I didn't know its fallout
was this widely spread across the system to need 13 patches to
remove all ;-)